#pragma once


#include "namespace_start.h"
template<typename T>
class SingletonT{

protected:
	SingletonT(){}

public:
	static T &GetInstance(){

		static T target;


		return target;
	}

};
#include "namespace_end.h"